Manage orders - Get a list of products (by customer)
Retrieves all products using country and locale information.
GET https://api.partnercenter.microsoft.com/v{version}/customers/{customerId}/products
GET https://api.partnercenter.microsoft.com/v{version}/customers/{customerId}/products?targetView={targetView}&targetSegment={targetSegment}&reservationScope={reservationScope}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
customer
|
path | True |
string |
The customer id. |
|
version
|
path | True |
string |
|
|
reservation
|
query |
string |
The optional reservation scope filter. |
|
|
target
|
query |
string |
The optional segment filter. |
|
|
target
|
query |
string |
The catalog view being requested. |
Request Header
| Name | Required | Type | Description |
|---|---|---|---|
| Authorization | True |
string |
Authorization Bearer token |
| ms-correlationid |
string |
Used for tracking requests internally. If a ms-correlationid is not provided, the server will generate a new one for each request |
|
| MS-CV |
string |
Used for tracking requests internally. If a MS-CV is not provided, the server will generate a new one for each request |
|
| ms-requestid |
string |
Used for idempotency of requests. If a ms-requestid is not provided, the server will generate a new one for each request |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
The request was successful. The products are returned in the response body. Media Types: "application/json", "text/json", "application/xml", "text/xml" |
Definitions
Contracts.V1.Models.ItemType
| Name | Type | Description |
|---|---|---|
| displayName |
string |
|
| id |
string |
|
| subType |
Contracts.V1.Models.Product
| Name | Type | Description |
|---|---|---|
| description |
string |
|
| id |
string |
|
| isMicrosoftProduct |
boolean |
|
| links | ||
| localizedAttributes |
System. |
|
| productType | ||
| publisherName |
string |
|
| title |
string |
Contracts.V1.Models.ProductLinks
| Name | Type | Description |
|---|---|---|
| next | ||
| previous | ||
| self | ||
| skus |
Link
| Name | Type | Description |
|---|---|---|
| body |
string |
|
| headers |
System. |
|
| method |
string |
|
| uri |
string |
ResourceAttributes
| Name | Type | Description |
|---|---|---|
| etag |
string |
|
| objectType |
string |
ResourceCollection[Contracts.V1.Models.Product]
| Name | Type | Description |
|---|---|---|
| attributes | ||
| items | ||
| links | ||
| totalCount |
integer (int32) |
ResourceLinks
| Name | Type | Description |
|---|---|---|
| next | ||
| previous | ||
| self |
System.Collections.Generic.KeyValuePair[System.String,System.String]
| Name | Type | Description |
|---|---|---|
| key |
string |
|
| value |
string |